> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Or Update Import Cluster Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/import
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/import:
    post:
      tags:
        - Cluster
      summary: Create Or Update Import Cluster Endpoint
      operationId: create_or_update_import_cluster_endpoint_api_v1_clusters_import_post
      parameters:
        - in: query
          name: wait
          required: false
          schema:
            default: false
            title: Wait
            type: boolean
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrUpdateImportClusterRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CreateOrUpdateImportClusterResult'
                  - $ref: '#/components/schemas/AsyncWriteAcceptedResponse'
                title: >-
                  Response Create Or Update Import Cluster Endpoint Api V1
                  Clusters Import Post
          description: Successful Response
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateOrUpdateImportClusterRequest:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        expected_git_repository:
          anyOf:
            - $ref: '#/components/schemas/GitRepository'
            - type: 'null'
        name:
          title: Name
          type: string
        spec:
          anyOf:
            - $ref: '#/components/schemas/ResourceSpecification'
            - type: 'null'
      required:
        - name
      title: CreateOrUpdateImportClusterRequest
      type: object
    CreateOrUpdateImportClusterResult:
      properties:
        cluster_id:
          format: uuid4
          title: Cluster Id
          type: string
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        commit_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Url
        errors:
          default: []
          items:
            $ref: >-
              #/components/schemas/cluster_engine__resource_manager__resource_manager__ResourceError
          title: Errors
          type: array
        import_command:
          title: Import Command
          type: string
        name:
          title: Name
          type: string
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
      required:
        - name
        - cluster_id
        - organisation_id
        - import_command
      title: CreateOrUpdateImportClusterResult
      type: object
    AsyncWriteAcceptedResponse:
      properties:
        status:
          default: accepted
          title: Status
          type: string
      title: AsyncWriteAcceptedResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitRepository:
      description: >-
        GitHub Git repository request shape.


        Legacy `repository: 'owner/name'` format is preserved as the API
        contract because

        `ankra-cli` releases shipped to end-users send this shape. This class is
        the

        `__external_type__` for `GithubRepositoryResource`; renaming or
        restructuring

        the fields is a permanent breaking change and is forbidden.
      properties:
        branch:
          title: Branch
          type: string
        credential_name:
          title: Credential Name
          type: string
        provider:
          const: github
          default: github
          title: Provider
          type: string
        repository:
          title: Repository
          type: string
      required:
        - credential_name
        - branch
        - repository
      title: GitRepository
      type: object
    ResourceSpecification:
      properties:
        argo_cd:
          anyOf:
            - $ref: '#/components/schemas/ArgoCD'
            - type: 'null'
        git_repository:
          anyOf:
            - discriminator:
                mapping:
                  bitbucket_cloud:
                    $ref: '#/components/schemas/BitbucketCloudRepositoryExternal'
                  bitbucket_dc:
                    $ref: '#/components/schemas/BitbucketDcRepositoryExternal'
                  github:
                    $ref: '#/components/schemas/GitRepository'
                propertyName: provider
              oneOf:
                - $ref: '#/components/schemas/GitRepository'
                - $ref: '#/components/schemas/BitbucketCloudRepositoryExternal'
                - $ref: '#/components/schemas/BitbucketDcRepositoryExternal'
            - type: 'null'
          title: Git Repository
        kubernetes:
          anyOf:
            - $ref: '#/components/schemas/Kubernetes'
            - type: 'null'
        prometheus_credential:
          anyOf:
            - $ref: '#/components/schemas/PrometheusCredential'
            - type: 'null'
        prometheus_metrics:
          anyOf:
            - $ref: '#/components/schemas/PrometheusMetrics'
            - type: 'null'
        provider:
          $ref: '#/components/schemas/CloudProvider'
          default: imported
        stacks:
          default: []
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendStack-Input'
              - $ref: '#/components/schemas/Stack'
          title: Stacks
          type: array
      title: ResourceSpecification
      type: object
    cluster_engine__resource_manager__resource_manager__ResourceError:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          title: Errors
          type: array
        kind:
          title: Kind
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - kind
      title: ResourceError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ArgoCD:
      properties:
        namespace:
          title: Namespace
          type: string
        version:
          title: Version
          type: string
      required:
        - namespace
        - version
      title: ArgoCD
      type: object
    BitbucketCloudRepositoryExternal:
      properties:
        branch:
          title: Branch
          type: string
        credential_name:
          title: Credential Name
          type: string
        provider:
          const: bitbucket_cloud
          default: bitbucket_cloud
          title: Provider
          type: string
        repo_slug:
          title: Repo Slug
          type: string
        workspace:
          title: Workspace
          type: string
      required:
        - credential_name
        - branch
        - workspace
        - repo_slug
      title: BitbucketCloudRepositoryExternal
      type: object
    BitbucketDcRepositoryExternal:
      properties:
        branch:
          title: Branch
          type: string
        credential_name:
          title: Credential Name
          type: string
        instance_url:
          title: Instance Url
          type: string
        project_key:
          title: Project Key
          type: string
        provider:
          const: bitbucket_dc
          default: bitbucket_dc
          title: Provider
          type: string
        repo_slug:
          title: Repo Slug
          type: string
      required:
        - credential_name
        - branch
        - project_key
        - repo_slug
        - instance_url
      title: BitbucketDcRepositoryExternal
      type: object
    Kubernetes:
      properties:
        version:
          default: 0.0.0
          title: Version
          type: string
      title: Kubernetes
      type: object
    PrometheusCredential:
      properties:
        name:
          title: Name
          type: string
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
      required:
        - name
      title: PrometheusCredential
      type: object
    PrometheusMetrics:
      properties:
        credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Name
        endpoint:
          title: Endpoint
          type: string
        flavor:
          anyOf:
            - type: string
            - type: 'null'
          title: Flavor
      required:
        - endpoint
      title: PrometheusMetrics
      type: object
    CloudProvider:
      enum:
        - aws
        - imported
        - hetzner
        - ovh
        - upcloud
        - digitalocean
      title: CloudProvider
      type: string
    FrontendStack-Input:
      properties:
        addons:
          default: []
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendAddon-Input'
              - $ref: '#/components/schemas/Addon-Input'
          title: Addons
          type: array
        applications:
          default: []
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendApplication-Input'
              - $ref: '#/components/schemas/Application-Input'
          title: Applications
          type: array
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        description_from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Description From File
        draft_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Draft Id
        has_encrypted_values:
          default: false
          title: Has Encrypted Values
          type: boolean
        is_draft_only:
          default: false
          title: Is Draft Only
          type: boolean
        jobs:
          default: []
          items:
            $ref: '#/components/schemas/SchedulerJob-Input'
          title: Jobs
          type: array
        lifecycle:
          anyOf:
            - $ref: '#/components/schemas/StackLifecycle'
            - type: 'null'
        manifests:
          default: []
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendManifest-Input'
              - $ref: '#/components/schemas/Manifest'
          title: Manifests
          type: array
        name:
          title: Name
          type: string
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        variables:
          additionalProperties:
            type: string
          default: {}
          title: Variables
          type: object
      required:
        - name
      title: FrontendStack
      type: object
    Stack:
      properties:
        addons:
          default: []
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendAddon-Input'
              - $ref: '#/components/schemas/Addon-Input'
          title: Addons
          type: array
        applications:
          default: []
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendApplication-Input'
              - $ref: '#/components/schemas/Application-Input'
          title: Applications
          type: array
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        description_from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Description From File
        manifests:
          default: []
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendManifest-Input'
              - $ref: '#/components/schemas/Manifest'
          title: Manifests
          type: array
        name:
          title: Name
          type: string
        variables:
          additionalProperties:
            type: string
          default: {}
          title: Variables
          type: object
      required:
        - name
      title: Stack
      type: object
    ErrorItem:
      properties:
        key:
          title: Key
          type: string
        message:
          title: Message
          type: string
      required:
        - key
        - message
      title: ErrorItem
      type: object
    FrontendAddon-Input:
      properties:
        chart_icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Icon
        chart_name:
          title: Chart Name
          type: string
        chart_version:
          title: Chart Version
          type: string
        configuration:
          anyOf:
            - $ref: '#/components/schemas/AddonStandaloneConfiguration'
            - type: 'null'
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        draft:
          default: false
          title: Draft
          type: boolean
        force_delete:
          default: false
          title: Force Delete
          type: boolean
        health:
          anyOf:
            - type: string
            - type: 'null'
          title: Health
        intent_requested_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Intent Requested At
        job:
          anyOf:
            - $ref: '#/components/schemas/SchedulerJob-Input'
            - type: 'null'
        job_configuration:
          anyOf:
            - $ref: '#/components/schemas/JobConfiguration'
            - type: 'null'
        name:
          title: Name
          type: string
        namespace:
          title: Namespace
          type: string
        namespace_migration_strategy:
          anyOf:
            - $ref: '#/components/schemas/NamespaceMigrationStrategy'
            - type: 'null'
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
        parents:
          default: []
          description: >-
            Parent dependencies of this resource. Omitted or null: existing
            dependencies are PRESERVED. Provided: the list authoritatively
            replaces existing dependencies (an explicit empty list removes them
            all). Before 2026-07 omission cleared all dependencies; see ADR
            0008.
          items:
            $ref: '#/components/schemas/Parent'
          title: Parents
          type: array
        position:
          anyOf:
            - $ref: '#/components/schemas/FrontendStackItemPosition'
            - type: 'null'
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credential Name
        registry_name:
          title: Registry Name
          type: string
        registry_url:
          title: Registry Url
          type: string
        resource_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Resource Id
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Input'
            - type: 'null'
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        version_history:
          default: []
          items:
            $ref: '#/components/schemas/VersionHistoryEntry'
          title: Version History
          type: array
      required:
        - name
        - chart_name
        - chart_version
        - registry_name
        - registry_url
        - namespace
      title: FrontendAddon
      type: object
    Addon-Input:
      properties:
        chart_name:
          title: Chart Name
          type: string
        chart_version:
          title: Chart Version
          type: string
        configuration:
          anyOf:
            - $ref: '#/components/schemas/AddonStandaloneConfiguration'
            - type: 'null'
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        name:
          title: Name
          type: string
        namespace:
          title: Namespace
          type: string
        namespace_migration_strategy:
          anyOf:
            - $ref: '#/components/schemas/NamespaceMigrationStrategy'
            - type: 'null'
        parents:
          default: []
          description: >-
            Parent dependencies of this resource. Omitted or null: existing
            dependencies are PRESERVED. Provided: the list authoritatively
            replaces existing dependencies (an explicit empty list removes them
            all). Before 2026-07 omission cleared all dependencies; see ADR
            0008.
          items:
            $ref: '#/components/schemas/Parent'
          title: Parents
          type: array
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credential Name
        registry_name:
          title: Registry Name
          type: string
        registry_url:
          title: Registry Url
          type: string
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Input'
            - type: 'null'
      required:
        - name
        - chart_name
        - chart_version
        - registry_name
        - registry_url
        - namespace
      title: Addon
      type: object
    FrontendApplication-Input:
      properties:
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        draft:
          default: false
          title: Draft
          type: boolean
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        health:
          anyOf:
            - type: string
            - type: 'null'
          title: Health
        job:
          anyOf:
            - $ref: '#/components/schemas/SchedulerJob-Input'
            - type: 'null'
        job_configuration:
          anyOf:
            - $ref: '#/components/schemas/JobConfiguration'
            - type: 'null'
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        name:
          title: Name
          type: string
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
        parameters:
          additionalProperties:
            type: string
          default: {}
          title: Parameters
          type: object
        parents:
          default: []
          description: >-
            Parent dependencies of this resource. Omitted or null: existing
            dependencies are PRESERVED. Provided: the list authoritatively
            replaces existing dependencies (an explicit empty list removes them
            all). Before 2026-07 omission cleared all dependencies; see ADR
            0008.
          items:
            $ref: '#/components/schemas/Parent'
          title: Parents
          type: array
        platform_application_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Id
        platform_application_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Version
        position:
          anyOf:
            - $ref: '#/components/schemas/FrontendStackItemPosition'
            - type: 'null'
        resource_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Resource Id
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Input'
            - type: 'null'
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        version_history:
          default: []
          items:
            $ref: '#/components/schemas/VersionHistoryEntry'
          title: Version History
          type: array
      required:
        - name
      title: FrontendApplication
      type: object
    Application-Input:
      properties:
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        name:
          title: Name
          type: string
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        parameters:
          additionalProperties:
            type: string
          default: {}
          title: Parameters
          type: object
        parents:
          default: []
          description: >-
            Parent dependencies of this resource. Omitted or null: existing
            dependencies are PRESERVED. Provided: the list authoritatively
            replaces existing dependencies (an explicit empty list removes them
            all). Before 2026-07 omission cleared all dependencies; see ADR
            0008.
          items:
            $ref: '#/components/schemas/Parent'
          title: Parents
          type: array
        platform_application_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Id
        platform_application_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Version
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Input'
            - type: 'null'
      required:
        - name
      title: Application
      type: object
    SchedulerJob-Input:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        job_id:
          format: uuid4
          title: Job Id
          type: string
        name:
          title: Name
          type: string
        status:
          $ref: '#/components/schemas/JobStatus'
        updated_at:
          format: date-time
          title: Updated At
          type: string
        superseded:
          default: false
          title: Superseded
          type: boolean
      required:
        - job_id
        - name
        - status
        - created_at
        - updated_at
      title: SchedulerJob
      type: object
    StackLifecycle:
      enum:
        - draft_only
        - deployed_clean
        - deployed_dirty
        - tombstoned
      title: StackLifecycle
      type: string
    FrontendManifest-Input:
      properties:
        auto_remediate:
          default: false
          title: Auto Remediate
          type: boolean
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        draft:
          default: false
          title: Draft
          type: boolean
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        force:
          default: false
          title: Force
          type: boolean
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        job:
          anyOf:
            - $ref: '#/components/schemas/SchedulerJob-Input'
            - type: 'null'
        job_configuration:
          anyOf:
            - $ref: '#/components/schemas/JobConfiguration'
            - type: 'null'
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        name:
          title: Name
          type: string
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
        parents:
          default: []
          description: >-
            Parent dependencies of this resource. Omitted or null: existing
            dependencies are PRESERVED. Provided: the list authoritatively
            replaces existing dependencies (an explicit empty list removes them
            all). Before 2026-07 omission cleared all dependencies; see ADR
            0008.
          items:
            $ref: '#/components/schemas/Parent'
          title: Parents
          type: array
        position:
          anyOf:
            - $ref: '#/components/schemas/FrontendStackItemPosition'
            - type: 'null'
        resource_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Resource Id
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        version_history:
          default: []
          items:
            $ref: '#/components/schemas/VersionHistoryEntry'
          title: Version History
          type: array
      required:
        - name
      title: FrontendManifest
      type: object
    Manifest:
      properties:
        auto_remediate:
          default: false
          title: Auto Remediate
          type: boolean
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        force:
          default: false
          title: Force
          type: boolean
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        name:
          title: Name
          type: string
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        parents:
          default: []
          description: >-
            Parent dependencies of this resource. Omitted or null: existing
            dependencies are PRESERVED. Provided: the list authoritatively
            replaces existing dependencies (an explicit empty list removes them
            all). Before 2026-07 omission cleared all dependencies; see ADR
            0008.
          items:
            $ref: '#/components/schemas/Parent'
          title: Parents
          type: array
      required:
        - name
      title: Manifest
      type: object
    ResourceState:
      enum:
        - creating
        - updating
        - stopping
        - up
        - down
      title: ResourceState
      type: string
    AddonStandaloneConfiguration:
      properties:
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        values_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Values Base64
      title: AddonStandaloneConfiguration
      type: object
    JobConfiguration:
      properties:
        create_job_timeout:
          default: 420
          title: Create Job Timeout
          type: integer
        delete_job_timeout:
          default: 300
          title: Delete Job Timeout
          type: integer
        read_job_timeout:
          default: 30
          title: Read Job Timeout
          type: integer
        update_job_timeout:
          default: 420
          title: Update Job Timeout
          type: integer
      title: JobConfiguration
      type: object
    NamespaceMigrationStrategy:
      enum:
        - keep_old
        - move_install_first
        - move_uninstall_first
      title: NamespaceMigrationStrategy
      type: string
    Parent:
      properties:
        kind:
          title: Kind
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - kind
      title: Parent
      type: object
    FrontendStackItemPosition:
      properties:
        x:
          title: X
          type: number
        'y':
          title: 'Y'
          type: number
      required:
        - x
        - 'y'
      title: FrontendStackItemPosition
      type: object
    AddonSettings-Input:
      properties:
        helm_wait_timeout_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Helm Wait Timeout Seconds
        ignore_differences:
          default: []
          items:
            $ref: '#/components/schemas/IgnoreDifference'
          title: Ignore Differences
          type: array
        keep_failed_resources_for_debug:
          default: false
          title: Keep Failed Resources For Debug
          type: boolean
        retry_policy:
          $ref: '#/components/schemas/AddonRetryPolicy'
          default:
            backoff:
              duration: 5s
              factor: 2
              max_duration: 3m
            limit: 5
        revision_history_limit:
          default: 10
          title: Revision History Limit
          type: integer
        rollback_on_failure:
          default: true
          title: Rollback On Failure
          type: boolean
        strict_health_check:
          default: false
          title: Strict Health Check
          type: boolean
        sync_policy:
          $ref: '#/components/schemas/AddonSyncPolicy'
          default:
            auto_prune: true
            automated: true
            self_heal: true
            sync_options:
              - CreateNamespace=true
              - ServerSideApply=true
        sync_window:
          anyOf:
            - $ref: '#/components/schemas/AddonSyncWindow'
            - type: 'null'
      title: AddonSettings
      type: object
    VersionHistoryEntry:
      properties:
        change_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Change Type
        created_at:
          format: date-time
          title: Created At
          type: string
        definition:
          title: Definition
        delta:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Delta
        external_user:
          anyOf:
            - type: string
            - type: 'null'
          title: External User
        user_id:
          title: User Id
          type: string
        version_id:
          title: Version Id
          type: string
      required:
        - version_id
        - created_at
        - definition
        - delta
        - user_id
      title: VersionHistoryEntry
      type: object
    JobStatus:
      enum:
        - running
        - success
        - failed
        - timeout
        - pending
        - blocked
        - cancelling
        - cancelled
      title: JobStatus
      type: string
    IgnoreDifference:
      properties:
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        jq_path_expressions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Jq Path Expressions
        json_pointers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Json Pointers
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        managed_fields_managers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Managed Fields Managers
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
      title: IgnoreDifference
      type: object
    AddonRetryPolicy:
      properties:
        backoff:
          $ref: '#/components/schemas/AddonRetryBackoff'
          default:
            duration: 5s
            factor: 2
            max_duration: 3m
        limit:
          default: 5
          title: Limit
          type: integer
      title: AddonRetryPolicy
      type: object
    AddonSyncPolicy:
      properties:
        auto_prune:
          default: true
          title: Auto Prune
          type: boolean
        automated:
          default: true
          title: Automated
          type: boolean
        self_heal:
          default: true
          title: Self Heal
          type: boolean
        sync_options:
          default:
            - CreateNamespace=true
            - ServerSideApply=true
          items:
            type: string
          title: Sync Options
          type: array
      title: AddonSyncPolicy
      type: object
    AddonSyncWindow:
      properties:
        duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Duration
        enabled:
          default: false
          title: Enabled
          type: boolean
        schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schedule
        timezone:
          default: UTC
          title: Timezone
          type: string
      title: AddonSyncWindow
      type: object
    AddonRetryBackoff:
      properties:
        duration:
          default: 5s
          title: Duration
          type: string
        factor:
          default: 2
          title: Factor
          type: integer
        max_duration:
          default: 3m
          title: Max Duration
          type: string
      title: AddonRetryBackoff
      type: object

````